# apache_felix_api_client

ApacheFelix - the Ruby gem for the Apache Felix API

API for interacting with an Apache Felix system.

This SDK is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 1.0.0
- Package version: 0.1.1
- Build date: 2016-11-29T20:32:43.337-06:00
- Build package: class io.swagger.codegen.languages.RubyClientCodegen

## Installation

### Build a gem

To build the Ruby code into a gem:

```shell
gem build apache_felix_api_client.gemspec
```

Then either install the gem locally:

```shell
gem install ./apache_felix_api_client-0.1.1.gem
```
(for development, run `gem install --dev ./apache_felix_api_client-0.1.1.gem` to install the development dependencies)

or publish the gem to a gem hosting service, e.g. [RubyGems](https://rubygems.org/).

Finally add this to the Gemfile:

    gem 'apache_felix_api_client', '~> 0.1.1'

### Install from Git

If the Ruby gem is hosted at a git repository: https://github.com/bstopp/apache_felix_api_client, then add the following in the Gemfile:

    gem 'apache_felix_api_client', :git => 'https://github.com/bstopp/apache_felix_api_client.git'

### Include the Ruby code directly

Include the Ruby code directly using `-I` as follows:

```shell
ruby -Ilib script.rb
```

## Getting Started

Please follow the [installation](#installation) procedure and then run the following code:
```ruby
# Load the gem
require 'apache_felix_api_client'

# Setup authorization
ApacheFelix.configure do |config|
  # Configure HTTP basic authorization: basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = ApacheFelix::DefaultApi.new

begin
  #Bundles list
  result = api_instance.bundles
  p result
rescue ApacheFelix::ApiError => e
  puts "Exception when calling DefaultApi->bundles: #{e}"
end

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost:8080/system/console*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*ApacheFelix::DefaultApi* | [**bundles**](docs/DefaultApi.md#bundles) | **GET** /bundles.json | Bundles list


## Documentation for Models

 - [ApacheFelix::Bundle](docs/Bundle.md)
 - [ApacheFelix::BundleList](docs/BundleList.md)


## Documentation for Authorization


### basic

- **Type**: HTTP basic authentication

